/* GPLv2 applies
 * SVN revision: $Revision: 653 $
 * (C) 2006-2013 by folkert@vanheusden.com
 */
#include "buffer.h"
#include "string_array.h"

typedef enum { YES=0, NO=1, ABORT=2 } yna_reply_t;

void cmd_LEAVE(int current_server, int current_server_channel_nr, const char *channel_name);
int user_command(int current_server, int current_server_channel_nr, const char *user_line, BOOL do_command);
int user_menu(int server_index, int channel_index, int name_index);
void refresh_window_with_buffer(NEWWIN *where, const int window_height, buffer *pbuffer, const char *hl, BOOL force_partial_highlight);
BOOL scrollback_and_select(NEWWIN *win, const buffer *pbuffer, char **value, int *sr, int *ch, const char *needle, BOOL with_channel, BOOL force_partial_highlight);
void scrollback(NEWWIN *win, const buffer *pbuffer, const char *highlight, BOOL with_channel, BOOL force_partial_highlight);
void scrollback_new(const buffer *pbuffer, const char *highlight, const char *title_in, BOOL with_channel, BOOL force_partial_highlight);
void global_search(const char *highlight, const char *title_in);
void server_menu(int sr);
void popup_notify(BOOL use_getch, const char *format, ...);
void write_buffer_to_file(const buffer *pb, BOOL with_channel);
void online_help(void);
void add_server_menu(void);
void user_channel_menu(void);
BOOL onoff_box(const char *q, BOOL default_value);
yna_reply_t yesno_box(BOOL use_getch, const char *title, const char *q, BOOL allow_abort);
BOOL configure_firc(void);
void close_notice_channels(void);
void edit_string_array(string_array_t *p, const char *title);
void show_channel_history(void);
void select_own_history_line(void);
void search_everywhere(void);
