/* GPLv2 applies
 * SVN revision: $Revision: 661 $
 * (C) 2006-2013 by folkert@vanheusden.com
 */
#ifndef __POLL_H__
#define __POLL_H__

#include <poll.h>
#include "string_array.h"

void LOG(char *str, ...);
int myrand(int max);
/*void myfree(const void *p); */
#define myfree(p) free((void *)p);
int resize(void **pnt, int n, int *len, int size);
ssize_t READ(int fd, char *whereto, size_t len);
ssize_t WRITE(int fd, const char *whereto, size_t len);
char * read_line_fd(int fd);
int find_char_offset(const char *str, char what);
int find_reverted_char_offset(const char *str, char what);
int find_string_offset(const char *str, const char *what);
const char * str_or_nothing(const char *string);
char * replace_string(const char *in, int pos_start, int pos_end, const char *with_what);
unsigned long int myatoul(const char *str);
double gettime(void);
int count_char(const char *str, char what);
double get_ts(void);
int hextoint(const char *in, int n);
int add_poll(struct pollfd **pfd, int *n_fd, int fd, int events);
int mkpath(const char* file_path_in, mode_t mode);

#endif
